<?php


$path_to_sdk = __DIR__ . "/../sdk/";

include_once $path_to_sdk . "autoload.php";

$api_id = "insert your api id here";
$api_key = "insert your api key here";

$api = new SD\SmsApiSdk\ApiClient($api_id, $api_key);

/*
 YOUR CODE HERE
 get phone number and message to send
 */

$phone = "phone number, national format";
$message = "sms message to send";
$country = "ro"; // "c" parameter value for Romania is "ro"
$numer_of_concatenated_messages = 1;//if message length greater than 160, set here maximum of concatenated messages ( n contenated SMS messages have max  n * 153 characters) in order to send full message
$response_format = "json";
$sender = null; //insert here your preferred alphanumeric sender for this message if there are more than one sender in Gateway
$send_at = NULL; // set datetime to send message at, format 'Y-m-d H:i', defaults cu current timestamp
$delivery_url = NULL; //insert here delivery url in order to receive delivery receipt if it is not already set in Syscom Digital SMS Gateway

$error = NULL;
$status = null;

//sending same SMS message to multiple detinations

//insert here all phone numbers, separate by comma ',', but no more than 100 numbers
$phone_list = "phone number 1,phone number 2,phone number 3";
try {
    $status = $api->send_sms($phone_list, $message, $country, $numer_of_concatenated_messages, $send_at, $sender, $delivery_url, $response_format);
} catch (SD\SmsApiSdk\ApiClientException $e) {
    $error = $e;
}

$output = "<br/>API call output, sending same message to multiple phone numbers:<br/>";

if ($status !== NULL) {
    $output .= "Status: <strong>{$status->status}</strong><br/>";
    $output .= "BULK Message ID: <strong>{$status->id}</strong><br/>";
    $output .= "In case of bulk message, use bulk message id from above in delivery url page.<br/>";
    $output .= "Status message: <strong>{$status->status_message}</strong><br/>";
} else
    if ($error !== null) {
        $output .= "Error: {$error->exception->getMessage()}";
    }

echo $output;
        
        
        