<?php
namespace SD\SmsApiSdk;

use function spl_autoload_register;

define('SD_SmsApiSdk_HOME', __DIR__);

class AutoLoader
{
    const SPLIT_DIR = DIRECTORY_SEPARATOR;
    const SPLIT_NS = '\\';

    public static function load($class)
    {
        if (strpos($class, "SD\SmsApiSdk") !== 0) {
            return false;
        }

        $parts = explode(self::SPLIT_NS, $class);
        $path = SD_SmsApiSdk_HOME . self::SPLIT_DIR . implode(self::SPLIT_DIR, $parts) . '.php';

        if (file_exists($path)) {
            require_once($path);
        }
    }
}

spl_autoload_register(array('\SD\SmsApiSdk\AutoLoader', 'load'));
